
NAME                  := cJSON

CC                     = $(CROSS_COMPILE)gcc
LD                     = $(CROSS_COMPILE)ld
AR                     = $(CROSS_COMPILE)ar


CFLAGS                += -fPIC -w
DFLAGS                += -D_REENTRANT -DPIC
LDFLAGS               += '-rdynamic' '-Wl,--enable-new-dtags' '-Wl,-rpath,$$ORIGIN/'
LIBPATHS              += 
LIBS                  += -lrt -ldl -lpthread -lm

CFLAGS                += -g -O2
LDFLAGS               += -g

IFLAGS                += "-I."

TARGETS               := libcJSON.so


unexport CDPATH

ifndef SHOW
.SILENT:
endif

all build compile: $(TARGETS)


clean:
	rm -f "./cJSON.o"

#
#   cJSON.o
#
cJSON.o: \
    ./cJSON.c
	@echo '   [Compile] cJSON.o'
	$(CC) -c -o cJSON.o $(CFLAGS) $(DFLAGS) $(IFLAGS) ./cJSON.c

#
#   libest
#
DEPS += cJSON.o

libcJSON.so: $(DEPS)
	@echo '      [Link] libcJSON.so'
	$(CC) -shared -o libcJSON.so $(LDFLAGS) $(LIBPATHS) cJSON.o $(LIBS) 

